package com.miaxis.question.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.question.domain.QuestionCollection;
import com.miaxis.question.domain.QuestionInfo;
import com.miaxis.question.dto.QuestionCollectionListDTO;
import com.miaxis.question.dto.QuestionWrongListDTO;
import com.miaxis.question.vo.QuestionColIdDateVo;

import java.util.List;

/**
 * collectionService接口
 *
 * @author miaxis
 * @date 2021-08-18
 */
public interface IQuestionCollectionService extends IService<QuestionCollection>{
    /**
     * 查询collection列表
     *
     * @param questionCollection collection
     * @return collection集合
     */
    List<QuestionCollection> selectQuestionCollectionList(QuestionCollectionListDTO questionCollection);

    Integer selectCollectionCountByUserId(QuestionCollectionListDTO dto);

    List<QuestionColIdDateVo> selectCollectionIdByUserId(QuestionCollectionListDTO dto);
}
